org.apache.ignite.internal.processors.cache.mvcc

## Class MvccCachingManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter
  - - org.apache.ignite.internal.processors.cache.mvcc.MvccCachingManager

All Implemented Interfaces:
  GridCacheSharedManager

    public class MvccCachingManager
    extends GridCacheSharedManagerAdapter

Manager for caching MVCC transaction updates. This updates can be used further in CQ, DR and other places.

### Field Summary

Fields
`static int` `DFLT_MVCC_TX_SIZE_CACHING_THRESHOLD`
`static int` `TX_SIZE_THRESHOLD` Maximum possible transaction size when caching is enabled.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`cctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`MvccCachingManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEnlisted(KeyCacheObject key, @Nullable CacheObject val, long ttl, long expireTime, GridCacheVersion ver, CacheObject oldVal, boolean primary, AffinityTopologyVersion topVer, MvccVersion mvccVer, int cacheId, IgniteInternalTx tx, IgniteUuid futId, int batchNum)` Adds enlisted tx entry to cache.
`Map<UUID,CacheContinuousQueryListener>` `continuousQueryListeners(GridCacheContext ctx0, @Nullable IgniteInternalTx tx)`
`void` `onTxFinished(IgniteInternalTx tx, boolean commit)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSharedManagerAdapter

`context, isStopping, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_MVCC_TX_SIZE_CACHING_THRESHOLD

    public static final int DFLT_MVCC_TX_SIZE_CACHING_THRESHOLD

See Also:
  `IgniteSystemProperties.IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD`, Constant Field Values

#### TX_SIZE_THRESHOLD

    public static final int TX_SIZE_THRESHOLD

Maximum possible transaction size when caching is enabled.

### Constructor Detail

#### MvccCachingManager

    public MvccCachingManager()

### Method Detail

#### addEnlisted

    public void addEnlisted(KeyCacheObject key,
                            @Nullable
                            @Nullable CacheObject val,
                            long ttl,
                            long expireTime,
                            GridCacheVersion ver,
                            CacheObject oldVal,
                            boolean primary,
                            AffinityTopologyVersion topVer,
                            MvccVersion mvccVer,
                            int cacheId,
                            IgniteInternalTx tx,
                            IgniteUuid futId,
                            int batchNum)
                     throws IgniteCheckedException

Adds enlisted tx entry to cache.

Parameters:
  `key` - Key.
  `val` - Value.
  `ttl` - Time to live.
  `expireTime` - Expire time.
  `ver` - Version.
  `oldVal` - Old value.
  `primary` - Flag whether this is a primary node.
  `topVer` - Topology version.
  `mvccVer` - Mvcc version.
  `cacheId` - Cache id.
  `tx` - Transaction.
  `futId` - Dht future id.
  `batchNum` - Batch number (for batches reordering prevention).
Throws:
  `IgniteCheckedException` - If failed.

#### onTxFinished

    public void onTxFinished(IgniteInternalTx tx,
                             boolean commit)
                      throws IgniteCheckedException

Parameters:
  `tx` - Transaction.
  `commit` - `True` if commit.
Throws:
  `IgniteCheckedException`

#### continuousQueryListeners

    public Map<UUID,CacheContinuousQueryListener> continuousQueryListeners(GridCacheContext ctx0,
                                                                           @Nullable
                                                                           @Nullable IgniteInternalTx tx)

Parameters:
  `ctx0` - Cache context.
  `tx` - Transaction.
Returns:
  Map of listeners to be notified by this update.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021